#
# spec file for package perl-MediaWiki-Bot
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MediaWiki-Bot
Version:        5.006003
Release:        1.1
%define cpan_name MediaWiki-Bot
Summary:        High-Level Bot Framework for Interacting with Mediawiki Wikis
License:        GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MediaWiki-Bot/
Source0:        http://www.cpan.org/authors/id/L/LI/LIFEGUARD/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Constant::Generate)
BuildRequires:  perl(Digest::MD5) >= 2.39
BuildRequires:  perl(HTML::Entities) >= 3.28
BuildRequires:  perl(LWP::Protocol::https) >= 6.06
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(MediaWiki::API) >= 0.36
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Test::Is)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::RequiresInternet)
BuildRequires:  perl(Test::Warn)
Requires:       perl(Constant::Generate)
Requires:       perl(Digest::MD5) >= 2.39
Requires:       perl(HTML::Entities) >= 3.28
Requires:       perl(LWP::Protocol::https) >= 6.06
Requires:       perl(MediaWiki::API) >= 0.36
Requires:       perl(Module::Pluggable)
%{perl_requires}

%description
*MediaWiki::Bot* is a framework that can be used to write bots which
interface with the MediaWiki API (http://en.wikipedia.org/w/api.php).

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README.mkdn

%changelog
* Fri Jul  8 2016 coolo@suse.com
- updated to 5.006003
  see /usr/share/doc/packages/perl-MediaWiki-Bot/Changes
  5.006003  2016-07-06
  - Changed the file the test suite used to test fetching images
  - Documentation tweaks
* Fri Apr 17 2015 coolo@suse.com
- updated to 5.006002
  see /usr/share/doc/packages/perl-MediaWiki-Bot/Changes
* Fri Apr 17 2015 coolo@suse.com
- updated to 3.4.2
  see /usr/share/doc/packages/perl-MediaWiki-Bot/Changes
* Thu Feb 24 2011 pascal.bleser@opensuse.org
- update to 3.2.7:
  * get_allusers() can now filter by usergroup, and accepts an options hashref
    for greater versatility
  * don't wait forever if the wiki doesn't respond
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sat Oct 30 2010 pascal.bleser@opensuse.org
- update to 3.2.6:
  * recentchanges() now filters by namespace and returns all available data,
    including rcid; see Pod for details
  * get_pages_in_category() now requests the maximum number of results; this
    resolves a major performance issue when getting the contents of large
    categories
  * the same performance issue (or potential issue) was resolved in many other
    methods
* Tue Sep 21 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- fix deps
  o added MakeMaker patch
  o added Digest::MD5 version patch
- noarch pkg
* Tue Sep  7 2010 pascal.bleser@opensuse.org
- update to 3.2.4:
  * removed dependency on WWW::Mechanize
  * revert() was broken by refactoring; this error has been fixed
* Thu Aug 26 2010 pascal.bleser@opensuse.org
- initial package (3.2.2)
